Search results

22 packages found

Log a deprecation message with stack

published 2.3.1 5 years ago
M
Q
P

[![NPM version](http://img.shields.io/npm/v/eslint-plugin-deprecate.svg)](https://www.npmjs.com/package/eslint-plugin-deprecate) ![downloads](https://img.shields.io/npm/dm/eslint-plugin-deprecate.svg)

published 0.8.4 6 months ago
M
Q
P

Customizable suppression of node warnings.

published 1.0.2 4 years ago
M
Q
P

Easily deprecate a method.

published 1.0.0 9 years ago
M
Q
P

Prevent select warnings (like ExperimentalWarning and DeprecationWarning) from causing Node to send warning text to stderr

published 1.0.0 3 months ago
M
Q
P

[![NPM version](http://img.shields.io/npm/v/eslint-plugin-deprecate-classnames.svg)](https://www.npmjs.com/package/eslint-plugin-deprecate-classnames) ![downloads](https://img.shields.io/npm/dm/eslint-plugin-deprecate-classnames.svg)

published 0.3.3 10 months ago
M
Q
P

Upgrade npm packages with confidence

published 1.1.1 2 years ago
M
Q
P

Helper for apollo-server

published 5.0.1 8 months ago
M
Q
P

deprecation tags analyser with usage lookup

published 0.0.2 8 years ago
M
Q
P

Loader notifies deprecated code

published 0.0.4 3 years ago
M
Q
P

Display Sass render errors and deprecations as lint errors.

published 3.2.1 2 months ago
M
Q
P

Describes the difference between two versions of a swagger document

published 0.1.4 5 years ago
M
Q
P

This package helps deprecate API routes which are no longer going to be in use by exposing headers which will describe deprecation notices and information for API consumers.

published 1.0.0 5 years ago
M
Q
P

Simple ways to deprecate a React component. Currently this lib shows a warning on console

published 0.0.3 4 years ago
M
Q
P

[![NPM version](http://img.shields.io/npm/v/eslint-plugin-deprecate.svg)](https://www.npmjs.com/package/eslint-plugin-deprecate)

published 1.0.1 5 years ago
M
Q
P

initial version of ISO8601 deprecation message

published 3.0.0 a year ago
M
Q
P

Deprecation hook for react

published 1.0.2 3 years ago
M
Q
P

ESLint deprecation rules plugin, based on API blacklist.

published 0.3.0 5 years ago
M
Q
P

An api framework that forces versioning, simplifies data validation, and automates documentation.

published 0.2.2 10 years ago
M
Q
P

Logs a message on postinstall if the Node.js version being used is not supported.

published 0.2.4 3 years ago
M
Q
P